import os

from evote.settings.production import *  # noqa
from evote.settings.admin import *  # noqa


ALLOWED_HOSTS = [os.environ.get('SN_MANAGE')]

# Django Site identification
SITE_ID = 8

AUTHENTICATION_BACKENDS = (
    'django.contrib.auth.backends.ModelBackend',  # this is default
    'guardian.backends.ObjectPermissionBackend',
    'evotevotings.management.backends.WSFedManagementBackend'
)

# ADFS AUTH (WS-Fed Sign-In Protocol)
LOGIN_REDIRECT_URL = reverse_lazy("management:login")  # noqa
ADFS_WSFED_CONFIG['wtrealm'] = 'urn:uminho:evotum-manage'  # noqa
ADFS_WSFED_CONFIG['template_fail'] = 'management/signin_fail.html'  # noqa
ADFS_WSFED_CONFIG['url_after_login'] = reverse_lazy("management:electoralprocess-list")  # noqa
